找回密码
 立即注册
发表于 2021-3-31 20:32:10
132410
请问安装apex的时候遇到如下问题该如何解决
截屏2021-03-31 下午8.28.08.png
使用道具 举报 回复
发表于 2021-4-2 16:42:32
安装apex请按照以下指令尝试 :(官方提供指令在我这里报错)执行以下指令成功安装
git clone https://github.com/NVIDIA/apex
cd apex
pip3 install -v --no-cache-dir ./
使用道具 举报 回复 支持 1 反对 0
发表于 2021-3-31 21:40:32
Nemo不需要另外安装Apex,不安装Apex不会影响Nemo notebook的正常运行 。 如果一定要安装 建议去apex官方github 查看源码安装方式
使用道具 举报 回复 支持 反对
发表于 2021-3-31 22:00:45
YWHW 发表于 2021-3-31 21:40
Nemo不需要另外安装Apex,不安装Apex不会影响Nemo notebook的正常运行 。 如果一定要安装 建议去apex官方gi ...

好的谢谢
使用道具 举报 回复 支持 反对
发表于 2021-3-31 22:12:03
YWHW 发表于 2021-3-31 21:40
Nemo不需要另外安装Apex,不安装Apex不会影响Nemo notebook的正常运行 。 如果一定要安装 建议去apex官方gi ...

但是在import的时候会报cannot import name 'UnencryptedCookieSessionFactoryConfig' from 'pyramid.session' (unknown location)
使用道具 举报 回复 支持 反对
发表于 2021-4-1 10:03:51
谢梓彬 发表于 2021-3-31 22:12
但是在import的时候会报cannot import name 'UnencryptedCookieSessionFactoryConfig' from 'pyramid.ses ...

您Pytorch是1.7.1版本的吗? 这个问题之前遇到过,是pytorch版本的问题。 建议进入nemo文件里找到reinstall.sh 然后执行./reinstall.sh重装一下, 然后import nemo就不会报错了
使用道具 举报 回复 支持 反对
发表于 2021-4-1 11:04:35
本帖最后由 谢梓彬 于 2021-4-1 11:07 编辑
YWHW 发表于 2021-4-1 10:03
您Pytorch是1.7.1版本的吗? 这个问题之前遇到过,是pytorch版本的问题。 建议进入nemo文件里找到reinsta ...

重装了还是报相同的错误,pytorch的版本是1.8.1
使用道具 举报 回复 支持 反对
发表于 2021-4-1 11:50:35
谢梓彬 发表于 2021-4-1 11:04
重装了还是报相同的错误,pytorch的版本是1.8.1

import nemo报错?
使用道具 举报 回复 支持 反对
发表于 2021-4-1 19:49:05

是的,报cannot import name 'UnencryptedCookieSessionFactoryConfig' from 'pyramid.ses ...
使用道具 举报 回复 支持 反对
发表于 2021-4-2 11:38:03
谢梓彬 发表于 2021-4-1 19:49
是的,报cannot import name 'UnencryptedCookieSessionFactoryConfig' from 'pyramid.ses ...

那你apex安装上了没有?用的什么方式安装的apex ? 如果apex成功安装上了要在import nemo 前面先 import apex, 你这个报错通常可能是安装apex引起的 , 它会把相关依赖版本做自动更改  。 也要注意pytorch版本需要是1.7.1
使用道具 举报 回复 支持 反对
12下一页
发新帖
您需要登录后才可以回帖 登录 | 立即注册